[squeak-vm] Added missed patches and BZ refs.

Jaroslav Škarvada jskarvad at fedoraproject.org
Fri Nov 23 13:57:31 UTC 2012


commit b94ea0aba90b5377d2167e132519390be5ac842d
Author: Jaroslav Škarvada <jskarvad at redhat.com>
Date:   Fri Nov 23 14:57:04 2012 +0100

    Added missed patches and BZ refs.

 squeak-vm-4.10.2-fix-cmake.patch       |   33 ++++++++++++++++++
 squeak-vm-4.10.2-squeak-init-fix.patch |   57 ++++++++++++++++++++++++++++++++
 squeak-vm.spec                         |    3 ++
 3 files changed, 93 insertions(+), 0 deletions(-)
---
diff --git a/squeak-vm-4.10.2-fix-cmake.patch b/squeak-vm-4.10.2-fix-cmake.patch
new file mode 100644
index 0000000..98758a0
--- /dev/null
+++ b/squeak-vm-4.10.2-fix-cmake.patch
@@ -0,0 +1,33 @@
+diff -up Squeak-4.10.2.2614-src-no-mp3/unix/CMakeLists.txt.orig Squeak-4.10.2.2614-src-no-mp3/unix/CMakeLists.txt
+--- Squeak-4.10.2.2614-src-no-mp3/unix/CMakeLists.txt.orig	2012-09-17 03:03:14.000000000 +0200
++++ Squeak-4.10.2.2614-src-no-mp3/unix/CMakeLists.txt	2012-11-22 18:21:16.413017772 +0100
+@@ -23,10 +23,14 @@ SET (prefix  ${CMAKE_INSTALL_PREFIX})
+ 
+ SET (version ${VM_VERSION})
+ 
++if(NOT DEFINED LIB_SUFFIX AND CMAKE_SYSTEM_PROCESSOR MATCHES "64$")
++    set(LIB_SUFFIX 64)
++endif()
++
+ SET (bindir bin)
+-SET (imgdir lib/squeak)
+-SET (plgdir lib/squeak/${version}${versionsuffix})
+-SET (mandir man/man1)
++SET (imgdir lib${LIB_SUFFIX}/squeak)
++SET (plgdir lib${LIB_SUFFIX}/squeak/${version}${versionsuffix})
++SET (mandir share/man/man1)
+ SET (docdir share/doc/squeak-${version})
+ 
+ GET_CMAKE_PROPERTY (vars VARIABLES)
+@@ -135,9 +139,9 @@ SET (ioUtcWithOffset sqUnixUtcWithOffset
+ CONFIG_DEFINE (ioUtcWithOffset)
+ 
+ SET (CMAKE_SKIP_BUILD_RPATH TRUE)
+-SET (CMAKE_BUILD_WITH_INSTALL_RPATH TRUE) 
++SET (CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
+ SET (CMAKE_INSTALL_RPATH "")
+-SET (CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
++SET (CMAKE_INSTALL_RPATH_USE_LINK_PATH FALSE)
+ 
+ INCLUDE (${unix}/vm/config.cmake)
+ 
diff --git a/squeak-vm-4.10.2-squeak-init-fix.patch b/squeak-vm-4.10.2-squeak-init-fix.patch
new file mode 100644
index 0000000..079be88
--- /dev/null
+++ b/squeak-vm-4.10.2-squeak-init-fix.patch
@@ -0,0 +1,57 @@
+diff -up Squeak-4.10.2.2614-src-no-mp3/unix/cmake/squeak.in.orig Squeak-4.10.2.2614-src-no-mp3/unix/cmake/squeak.in
+--- Squeak-4.10.2.2614-src-no-mp3/unix/cmake/squeak.in.orig	2012-11-23 11:01:10.000000000 +0100
++++ Squeak-4.10.2.2614-src-no-mp3/unix/cmake/squeak.in	2012-11-23 11:03:38.940563799 +0100
+@@ -78,19 +78,27 @@ elif test -x "${bindir}/${ck}"; then ck=
+ elif test -x "`which ${ck}`";	then ck="`which ${ck}`"
+ fi
+ 
+-if test   -z "${image}";	then image="${SQUEAK_IMAGE}"; fi
+-if test   -z "${image}";	then image="squeak";	      fi
+-if test   -f "${image}.image";	then image="${image}.image";  fi
++for f in "$SQUEAKHOME" . "$HOME"
++do
++  cd "$f" 2> /dev/null || continue
++  if test   -z "${image}";	then image="${SQUEAK_IMAGE}"; fi
++  if test   -z "${image}";	then image="squeak";	      fi
++  if test   -f "${image}.image";	then image="${image}.image";  fi
++  test -f "$image" && break
++  cd "$OLDPWD"
++done
+ 
+-if test "${info}"; then
+-    if test ! -x "${ck}"; then
++if test ! -x "${ck}"; then
+ 	echo "cannot find executable file: ${ck}" >&2
+ 	exit 1
+-    fi
+-    if test ! -f "${image}"; then
+-	echo "cannot find image file: ${image}" >&2
++fi
++if test ! -f "${image}"; then
++	MSG="cannot find image file: ${image}, did you run 'inisqueak -m'?"
++	echo "$MSG" >&2
++	xmessage "$MSG" 2>/dev/null
+ 	exit 1
+-    fi
++fi
++if test "${info}"; then
+     exec "${ck}" "${image}"
+ fi
+ 
+@@ -115,7 +120,6 @@ if test -z "${vms}"; then
+ fi
+ 
+ for avm in ${vms}; do
+-    echo CHECKING ${avm}
+     if test -x "${plgdir}/${avm}"; then	# bin/squeak -> lib/squeak/x.y-z/squeakvm
+ 	vm="${plgdir}/${avm}"
+ 	plugins="${plgdir}"
+@@ -124,7 +128,7 @@ for avm in ${vms}; do
+ 	vm="${bindir}/${avm}"
+ 	plugins="${bindir}/%n"
+ 	break;
+-    elif test -x "`which ${avm}`"; then
++    elif test -x "`which ${avm} 2>/dev/null`"; then
+ 	vm="`which ${avm}`"
+ 	plugins=""
+ 	break;
diff --git a/squeak-vm.spec b/squeak-vm.spec
index 77444f5..1aadc5b 100644
--- a/squeak-vm.spec
+++ b/squeak-vm.spec
@@ -180,6 +180,9 @@ update-desktop-database &> /dev/null || :
 %changelog
 * Fri Nov 23 2012 Jaroslav Škarvada <jskarvad at redhat.com> - 4.10.2.2614-1
 - New version
+  Resolves: rhbz#861633, rhbz#861970, rhbz#856016
+- Fixed desktop file
+  Resolves: rhbz#544256
 - Merged nonXOplugins to main package
 - Replaced defines by globals
 - Added own version of inisqueak


More information about the scm-commits mailing list